# Generated from alias-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name alias

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Creates, manages and saves aliases for class methods, instance methods, constants, delegated methods and more
License: MIT
URL: http://tagaholic.me/alias/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(bacon) >= 1.1.0
# BuildRequires: rubygem(bacon-bits)
# BuildRequires: rubygem(mocha) >= 0.9.8
# BuildRequires: rubygem(mocha) < 0.10
# BuildRequires: rubygem(mocha-on-bacon)
BuildArch: noarch

%description
Creates aliases for class methods, instance methods, constants, delegated
methods and more. Aliases can be easily searched or saved as YAML config files
to load later. Custom alias types are easy to create with the DSL Alias
provides.  Although Alias was created with the irb user in mind, any Ruby
console program can hook into Alias for creating configurable aliases.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemspec
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.2.3-1
- Initial package
